Bug 901741 - D-root is changing its IPv4 address on 3 January 2013
D-root is changing its IPv4 address on 3 January 2013
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-18 18:01 EST by Morten Stevens
Modified: 2013-03-02 15:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 21:46:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Morten Stevens 2013-01-18 18:01:23 EST
Description of problem:

D.ROOT-SERVERS.NET has a new ipv4 address.

Please update the /var/named/named.ca file.

Version-Release number of selected component (if applicable):

bind-9.9.2-6.P1.fc18.x86_64

Steps to Reproduce:
1. Install bind-9.9.2-6.P1.fc18.x86_64
2. Check file /var/named/named.ca
  
Actual results:

Logwatch:
checkhints: d.root-servers.net/A (128.8.10.90) extra record in hints: 913 Time(s)
checkhints: d.root-servers.net/A (199.7.91.13) missing from hints: 913 Time(s)

/var/named/named.ca:
D.ROOT-SERVERS.NET.     3600000 IN      A       128.8.10.90

Expected results:

/var/named/named.ca:
D.ROOT-SERVERS.NET.     3600000 IN      A       199.7.91.13

Additional info:

This issue does also affect Fedora 16,17,18 and RHEL 5/6.

http://www.internic.net/domain/named.root
http://www.internic.net/domain/named.cache
http://d.root-servers.org/

New /var/named/named.ca file should be:

; <<>> DiG 9.8.2rc1-RedHat-9.8.2-0.10.rc1.el6_3.6 <<>> +bufsize=1200 +norec NS . @a.root-servers.net
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 3309
;; flags: qr aa; QUERY: 1, ANSWER: 13, AUTHORITY: 0, ADDITIONAL: 23

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;.                              IN      NS

;; ANSWER SECTION:
.                       518400  IN      NS      k.root-servers.net.
.                       518400  IN      NS      e.root-servers.net.
.                       518400  IN      NS      m.root-servers.net.
.                       518400  IN      NS      i.root-servers.net.
.                       518400  IN      NS      h.root-servers.net.
.                       518400  IN      NS      j.root-servers.net.
.                       518400  IN      NS      g.root-servers.net.
.                       518400  IN      NS      f.root-servers.net.
.                       518400  IN      NS      d.root-servers.net.
.                       518400  IN      NS      c.root-servers.net.
.                       518400  IN      NS      l.root-servers.net.
.                       518400  IN      NS      a.root-servers.net.
.                       518400  IN      NS      b.root-servers.net.

;; ADDITIONAL SECTION:
a.root-servers.net.     3600000 IN      A       198.41.0.4
a.root-servers.net.     3600000 IN      AAAA    2001:503:ba3e::2:30
b.root-servers.net.     3600000 IN      A       192.228.79.201
c.root-servers.net.     3600000 IN      A       192.33.4.12
d.root-servers.net.     3600000 IN      A       199.7.91.13
d.root-servers.net.     3600000 IN      AAAA    2001:500:2d::d
e.root-servers.net.     3600000 IN      A       192.203.230.10
f.root-servers.net.     3600000 IN      A       192.5.5.241
f.root-servers.net.     3600000 IN      AAAA    2001:500:2f::f
g.root-servers.net.     3600000 IN      A       192.112.36.4
h.root-servers.net.     3600000 IN      A       128.63.2.53
h.root-servers.net.     3600000 IN      AAAA    2001:500:1::803f:235
i.root-servers.net.     3600000 IN      A       192.36.148.17
i.root-servers.net.     3600000 IN      AAAA    2001:7fe::53
j.root-servers.net.     3600000 IN      A       192.58.128.30
j.root-servers.net.     3600000 IN      AAAA    2001:503:c27::2:30
k.root-servers.net.     3600000 IN      A       193.0.14.129
k.root-servers.net.     3600000 IN      AAAA    2001:7fd::1
l.root-servers.net.     3600000 IN      A       199.7.83.42
l.root-servers.net.     3600000 IN      AAAA    2001:500:3::42
m.root-servers.net.     3600000 IN      A       202.12.27.33
m.root-servers.net.     3600000 IN      AAAA    2001:dc3::35

;; Query time: 2 msec
;; SERVER: 2001:503:ba3e::2:30#53(2001:503:ba3e::2:30)
;; WHEN: Fri Jan 18 23:42:13 2013
;; MSG SIZE  rcvd: 699
Comment 1 Tomas Hozza 2013-01-29 12:05:32 EST
Thank you for your report.

Fixed in
bind-9.9.2-7.P1.fc19
bind-9.9.2-7.P1.fc18
bind-9.9.2-4.P1.fc17
bind-9.8.4-4.P1.fc16
Comment 2 Fedora Update System 2013-02-18 14:37:51 EST
bind-9.9.2-8.P1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-9.9.2-8.P1.fc18
Comment 3 Fedora Update System 2013-02-18 14:40:33 EST
bind-9.9.2-5.P1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bind-9.9.2-5.P1.fc17
Comment 4 Robert Moskowitz 2013-02-19 09:12:35 EST
Bind now includes the hints in the executable.  All it needs is one good address and then it gets all the current addresses.

That said the proper approach is to totally drop the hint zone from the configuration and leave it up to Bind to get the current data.
Comment 5 Fedora Update System 2013-02-19 23:02:27 EST
Package bind-9.9.2-5.P1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind-9.9.2-5.P1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2733/bind-9.9.2-5.P1.fc17
then log in and leave karma (feedback).
Comment 6 Vasilis Keramidas 2013-02-24 17:39:11 EST
Package bind-9.9.2-8.P1.fc18:
resolves this problem. I leaved positive feedback at https://admin.fedoraproject.org/updates/F18/FEDORA-2013-2734
Comment 7 Fedora Update System 2013-02-25 21:46:38 EST
bind-9.9.2-8.P1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-02 15:06:33 EST
bind-9.9.2-5.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.